ru.bitel.bgbilling.kernel.contract.limit.common.bean

## Class ContractLimitLog

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.kernel.contract.limit.common.bean.ContractLimitLog

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class ContractLimitLog
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractLimitLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `java.util.Date` | `getDate()`
    `int` | `getDays()`
    `java.math.BigDecimal` | `getLimitValue()`
    `int` | `getUserId()`
    `java.lang.String` | `getUserName()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int contractId)`
    `void` | `setDate(java.util.Date date)`
    `void` | `setDays(int days)`
    `void` | `setLimitValue(java.math.BigDecimal limitValue)`
    `void` | `setUserId(int userId)`
    `void` | `setUserName(java.lang.String userName)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractLimitLog

          public ContractLimitLog()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getDate

          public java.util.Date getDate()

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getUserName

          public java.lang.String getUserName()

    - #### setUserName

          public void setUserName(java.lang.String userName)

    - #### getLimitValue

          public java.math.BigDecimal getLimitValue()

    - #### setLimitValue

          public void setLimitValue(java.math.BigDecimal limitValue)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getDays

          public int getDays()

    - #### setDays

          public void setDays(int days)